Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emfforms.spi.localization
Class LocalizationServiceHelper_PTest

    java.lang.Object
      org.eclipse.emfforms.spi.localization.LocalizationServiceHelper_PTest

    public class LocalizationServiceHelper_PTest

extends Object

Plugin tests for the LocalizationServiceHelper.

Author:
  Eugen Neufeld

Constructor Summary
`LocalizationServiceHelper_PTest()`

Method Summary
`void` | `testGetStringWithLocaleProvider()` Test method for `LocalizationServiceHelper.getString(java.lang.Class, java.lang.String)` .
`void` | `testGetStringWithoutLocaleProvider()` Test method for `LocalizationServiceHelper.getString(java.lang.Class, java.lang.String)` .
`void` | `testGetUndefinedStringWithoutLocaleProvider()` Test method for `LocalizationServiceHelper.getString(java.lang.Class, java.lang.String)` .

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LocalizationServiceHelper_PTest

    public LocalizationServiceHelper_PTest()

Method Detail

### testGetStringWithoutLocaleProvider

    public void testGetStringWithoutLocaleProvider()

  Test method for `LocalizationServiceHelper.getString(java.lang.Class, java.lang.String)` .

### testGetUndefinedStringWithoutLocaleProvider

    public void testGetUndefinedStringWithoutLocaleProvider()

  Test method for `LocalizationServiceHelper.getString(java.lang.Class, java.lang.String)` .

### testGetStringWithLocaleProvider

    public void testGetStringWithLocaleProvider()

  Test method for `LocalizationServiceHelper.getString(java.lang.Class, java.lang.String)` .

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.